Skip to content

Intercom API (2.11)

The intercom API reference.

Download OpenAPI description
Languages
Servers
The production API server
https://api.intercom.io/
The european API server
https://api.eu.intercom.io/
The australian API server
https://api.au.intercom.io/

Admins

Everything about your Admins

SchemasOperations

Articles

Everything about your Articles

SchemasOperations

Companies

Everything about your Companies

SchemasOperations

Contacts

Everything about your contacts

SchemasOperations

Conversations

Everything about your Conversations

SchemasOperations

Search conversations

Request

You can search for multiple conversations by the value of their attributes in order to fetch exactly which ones you want.

To search for conversations, you need to send a POST request to https://api.intercom.io/conversations/search.

This will accept a query object in the body which will define your filters in order to search for conversations.

Optimizing search queries

Search queries can be complex, so optimizing them can help the performance of your search. Use the AND and OR operators to combine multiple filters to get the exact results you need and utilize pagination to limit the number of results returned. The default is 20 results per page and maximum is 150. See the pagination section for more details on how to use the starting_after param.

Nesting & Limitations

You can nest these filters in order to get even more granular insights that pinpoint exactly what you need. Example: (1 OR 2) AND (3 OR 4). There are some limitations to the amount of multiple's there can be:

  • There's a limit of max 2 nested filters
  • There's a limit of max 15 filters for each AND or OR group

Accepted Fields

Most keys listed in the table below are searchable, whether writeable or not. The value you search for has to match the accepted type, otherwise the query will fail (ie. as created_at accepts a date, the value cannot be a string such as "foorbar"). The source.body field is unique as the search will not be performed against the entire value, but instead against every element of the value separately. For example, when searching for a conversation with a "I need support" body - the query should contain a = operator with the value "support" for such conversation to be returned. A query with a = operator and a "need support" value will not yield a result.

FieldType
idString
created_atDate (UNIX timestamp)
updated_atDate (UNIX timestamp)
source.typeString
Accepted fields are conversation, email, facebook, instagram, phone_call, phone_switch, push, sms and whatsapp.
source.idString
source.delivered_asString
source.subjectString
source.bodyString
source.author.idString
source.author.typeString
source.author.nameString
source.author.emailString
source.urlString
contact_idsString
teammate_idsString
admin_assignee_idString
team_assignee_idString
channel_initiatedString
openBoolean
readBoolean
stateString
waiting_sinceDate (UNIX timestamp)
snoozed_untilDate (UNIX timestamp)
tag_idsString
priorityString
statistics.time_to_assignmentInteger
statistics.time_to_admin_replyInteger
statistics.time_to_first_closeInteger
statistics.time_to_last_closeInteger
statistics.median_time_to_replyInteger
statistics.first_contact_reply_atDate (UNIX timestamp)
statistics.first_assignment_atDate (UNIX timestamp)
statistics.first_admin_reply_atDate (UNIX timestamp)
statistics.first_close_atDate (UNIX timestamp)
statistics.last_assignment_atDate (UNIX timestamp)
statistics.last_assignment_admin_reply_atDate (UNIX timestamp)
statistics.last_contact_reply_atDate (UNIX timestamp)
statistics.last_admin_reply_atDate (UNIX timestamp)
statistics.last_close_atDate (UNIX timestamp)
statistics.last_closed_by_idString
statistics.count_reopensInteger
statistics.count_assignmentsInteger
statistics.count_conversation_partsInteger
conversation_rating.requested_atDate (UNIX timestamp)
conversation_rating.replied_atDate (UNIX timestamp)
conversation_rating.scoreInteger
conversation_rating.remarkString
conversation_rating.contact_idString
conversation_rating.admin_dString
ai_agent_participatedBoolean
ai_agent.resolution_stateString
ai_agent.last_answer_typeString
ai_agent.ratingInteger
ai_agent.rating_remarkString
ai_agent.source_typeString
ai_agent.source_titleString

Accepted Operators

The table below shows the operators you can use to define how you want to search for the value. The operator should be put in as a string ("="). The operator has to be compatible with the field's type (eg. you cannot search with > for a given string value as it's only compatible for integer's and dates).

OperatorValid TypesDescription
=AllEquals
!=AllDoesn't Equal
INAllIn Shortcut for OR queries Values most be in Array
NINAllNot In Shortcut for OR ! queries Values must be in Array
>Integer Date (UNIX Timestamp)Greater (or equal) than
<Integer Date (UNIX Timestamp)Lower (or equal) than
~StringContains
!~StringDoesn't Contain
^StringStarts With
$StringEnds With
Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.11
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.11
Bodyapplication/json
querySingle Filter Search Request (object) or Multiple Filter Search Request (object)required
One of:

Search using Intercoms Search APIs with a single filter.

query.​fieldstring

The accepted field that you want to search on.

Enum"id""role""name""avatar""owner_id""email""email_domain""phone""external_id""created_at"
Example: "custom_attributes.favorite_color"
query.​operatorstring

The accepted operators you can use to define how you want to search for the value.

Enum"=""!=""IN""NIN""<"">""~""!~""^""$"
Example: ">"
query.​valuestring or integer or (Array of strings or integers)
Example: "73732934"
One of:

The value that you want to search on.

string
paginationobject(Pagination: Starting After)
curl -i -X POST \
  https://api.intercom.io/conversations/search \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.11' \
  -d '{
    "query": {
      "operator": "AND",
      "value": [
        {
          "field": "created_at",
          "operator": ">",
          "value": "1306054154"
        }
      ]
    },
    "pagination": {
      "per_page": 5
    }
  }'

Responses

successful

Bodyapplication/json
typestringrequired

Always conversation.list

Value"conversation.list"
Example: "conversation.list"
conversationsArray of objects(Conversation List Item)required

The list of conversation objects

conversations[].​typestring

Always conversation.

Value"conversation"
Example: "conversation"
conversations[].​idstringrequired

The id representing the conversation.

Example: "1295"
conversations[].​titlestring or nullrequired

The title given to the conversation.

Example: "Conversation Title"
conversations[].​created_atinteger(date-time)required

The time the conversation was created.

Example: 1663597223
conversations[].​updated_atinteger(date-time)required

The last time the conversation was updated.

Example: 1663597260
conversations[].​waiting_sinceinteger or null(date-time)required

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
conversations[].​snoozed_untilinteger or null(date-time)required

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
conversations[].​openbooleanrequired

Indicates whether a conversation is open (true) or closed (false).

Example: true
conversations[].​statestringrequired

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
conversations[].​readbooleanrequired

Indicates whether a conversation has been read.

Example: true
conversations[].​prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
conversations[].​admin_assignee_idinteger or nullrequired

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
conversations[].​team_assignee_idstring or nullrequired

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
conversations[].​tagsobject(Tags)

A list of tags objects associated with a conversation

conversations[].​conversation_ratingobject(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

conversations[].​sourceobject(Conversation source)required

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

conversations[].​source.​typestringrequired

This includes conversation, email, facebook, instagram, phone_call, phone_switch, push, sms and whatsapp.

Enum"conversation""email""facebook""instagram""phone_call""phone_switch""push""sms""whatsapp"
Example: "conversation"
conversations[].​source.​idstringrequired

The id representing the message.

Example: "3"
conversations[].​source.​delivered_asstringrequired

The conversation's initiation type. Possible values are customer_initiated, campaigns_initiated (legacy campaigns), operator_initiated (Custom bot), automated (Series and other outbounds with dynamic audience message) and admin_initiated (fixed audience message, ticket initiated by an admin, group email).

Example: "operator_initiated"
conversations[].​source.​subjectstringrequired

Optional. The message subject.

Example: ""
conversations[].​source.​bodystring

The message body, which may contain HTML.

Example: "<p>Hey there!</p>"
conversations[].​source.​authorobject(Conversation part author)required

The object who initiated the conversation, which can be a Contact, Admin or Team. Bots and campaigns send messages on behalf of Admins or Teams.

conversations[].​source.​author.​typestringrequired

The type of the author

Example: "admin"
conversations[].​source.​author.​idstringrequired

The id of the author

Example: "274"
conversations[].​source.​author.​namestring or nullrequired

The name of the author

Example: "Operator"
conversations[].​source.​author.​emailstring(email)required

The email of the author

Example: "operator+abcd1234@intercom.io"
conversations[].​source.​attachmentsArray of objects(Part attachment)

A list of attachments for the part.

conversations[].​source.​urlstring or null

The URL where the conversation was started. For Email and Bots, this will be blank.

Example: null
conversations[].​source.​redactedbooleanrequired

Whether or not the source message has been redacted. Only applicable for contact initiated messages.

Example: false
conversations[].​contactsobject(Contacts)required

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

conversations[].​contacts.​typestringrequired
Value"contact.list"
Example: "contact.list"
conversations[].​contacts.​contactsArray of objects(Contact Reference)required

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

conversations[].​contacts.​contacts[].​typestringrequired

always contact

Value"contact"
Example: "contact"
conversations[].​contacts.​contacts[].​idstringrequired

The unique identifier for the contact which is given by Intercom.

Example: "5ba682d23d7cf92bef87bfd4"
conversations[].​contacts.​contacts[].​external_idstring or null

The unique identifier for the contact which is provided by the Client.

Example: "f3b87a2e09d514c6c2e79b9a"
conversations[].​teammatesobject(Conversation teammates)required

The list of teammates who participated in the conversation (wrote at least one conversation part).

conversations[].​teammates.​typestringrequired

The type of the object - admin.list.

Example: "admin.list"
conversations[].​teammates.​teammatesArray of objects(Reference)required

The list of teammates who participated in the conversation (wrote at least one conversation part).

conversations[].​teammates.​teammates[].​typestringrequired
Example: "contact"
conversations[].​teammates.​teammates[].​idstring or null
Example: "1a2b3c"
conversations[].​custom_attributesobject(Custom Attributes)required

An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models.

conversations[].​custom_attributes.​property name*string or Custom Object Instance (object)additional property
Any of:
string
conversations[].​first_contact_replyobject(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

conversations[].​sla_appliedobject(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

conversations[].​statisticsobject(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversations[].​linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

conversations[].​ai_agent_participatedboolean

Indicates whether the AI Agent participated in the conversation.

Example: true
conversations[].​ai_agentobject(AI Agent)

Data related to AI Agent involvement in the conversation.

total_countintegerrequired

A count of the total number of objects.

Example: 12345
pagesobject(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

Response
application/json
{ "type": "conversation.list", "pages": { "type": "pages", "page": 1, "per_page": 5, "total_pages": 1 }, "total_count": 1, "conversations": [ {} ] }

Reply to a conversation

Request

You can reply to a conversation with a message from an admin or on behalf of a contact, or with a note for admins.

Security
bearerAuth
Path
conversation_idstringrequired

The Intercom provisioned identifier for the conversation or the string "last" to reply to the last part of the conversation

Example: 123 or "last"
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.11
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.11
Bodyapplication/json
One of:
One of:

Payload of the request to reply on behalf of a contact using their intercom_user_id

intercom_user_idstringrequired

The identifier for the contact as given by Intercom.

attachment_filesArray of objects(Conversation attachment files)

A list of files that will be added as attachments.

message_typestringrequired
Value"comment"
typestringrequired
Value"user"
bodystringrequired

The text body of the comment.

created_atinteger

The time the reply was created. If not provided, the current time will be used.

Example: 1590000000
attachment_urlsArray of strings(uri)(Attachment URLs)<= 10 items

A list of image URLs that will be added as attachments. You can include up to 10 URLs.

curl -i -X POST \
  'https://api.intercom.io/conversations/123 or "last"/reply' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.11' \
  -d '{
    "message_type": "comment",
    "type": "user",
    "intercom_user_id": "667d60f18a68186f43bafdf4",
    "body": "Thanks again :)"
  }'

Responses

User last conversation reply

Bodyapplication/json
typestring

Always conversation.

Value"conversation"
Example: "conversation"
idstringrequired

The id representing the conversation.

Example: "1295"
titlestring or nullrequired

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)required

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)required

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)required

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)required

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openbooleanrequired

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestringrequired

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readbooleanrequired

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or nullrequired

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or nullrequired

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)required

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

source.​typestringrequired

This includes conversation, email, facebook, instagram, phone_call, phone_switch, push, sms and whatsapp.

Enum"conversation""email""facebook""instagram""phone_call""phone_switch""push""sms""whatsapp"
Example: "conversation"
source.​idstringrequired

The id representing the message.

Example: "3"
source.​delivered_asstringrequired

The conversation's initiation type. Possible values are customer_initiated, campaigns_initiated (legacy campaigns), operator_initiated (Custom bot), automated (Series and other outbounds with dynamic audience message) and admin_initiated (fixed audience message, ticket initiated by an admin, group email).

Example: "operator_initiated"
source.​subjectstringrequired

Optional. The message subject.

Example: ""
source.​bodystring

The message body, which may contain HTML.

Example: "<p>Hey there!</p>"
source.​authorobject(Conversation part author)required

The object who initiated the conversation, which can be a Contact, Admin or Team. Bots and campaigns send messages on behalf of Admins or Teams.

source.​author.​typestringrequired

The type of the author

Example: "admin"
source.​author.​idstringrequired

The id of the author

Example: "274"
source.​author.​namestring or nullrequired

The name of the author

Example: "Operator"
source.​author.​emailstring(email)required

The email of the author

Example: "operator+abcd1234@intercom.io"
source.​attachmentsArray of objects(Part attachment)

A list of attachments for the part.

source.​urlstring or null

The URL where the conversation was started. For Email and Bots, this will be blank.

Example: null
source.​redactedbooleanrequired

Whether or not the source message has been redacted. Only applicable for contact initiated messages.

Example: false
contactsobject(Contacts)required

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

contacts.​typestringrequired
Value"contact.list"
Example: "contact.list"
contacts.​contactsArray of objects(Contact Reference)required

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

contacts.​contacts[].​typestringrequired

always contact

Value"contact"
Example: "contact"
contacts.​contacts[].​idstringrequired

The unique identifier for the contact which is given by Intercom.

Example: "5ba682d23d7cf92bef87bfd4"
contacts.​contacts[].​external_idstring or null

The unique identifier for the contact which is provided by the Client.

Example: "f3b87a2e09d514c6c2e79b9a"
teammatesobject(Conversation teammates)required

The list of teammates who participated in the conversation (wrote at least one conversation part).

teammates.​typestringrequired

The type of the object - admin.list.

Example: "admin.list"
teammates.​teammatesArray of objects(Reference)required

The list of teammates who participated in the conversation (wrote at least one conversation part).

teammates.​teammates[].​typestringrequired
Example: "contact"
teammates.​teammates[].​idstring or null
Example: "1a2b3c"
custom_attributesobject(Custom Attributes)required

An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models.

custom_attributes.​property name*string or Custom Object Instance (object)additional property
Any of:
string
first_contact_replyobject(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

ai_agent_participatedboolean

Indicates whether the AI Agent participated in the conversation.

Example: true
ai_agentobject(AI Agent)

Data related to AI Agent involvement in the conversation.

Response
application/json
{ "type": "conversation", "id": "387", "created_at": 1719492849, "updated_at": 1719492850, "waiting_since": 1719492850, "snoozed_until": null, "source": { "type": "conversation", "id": "403918269", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": { "created_at": 1719492850, "type": "conversation", "url": null }, "admin_assignee_id": null, "team_assignee_id": null, "open": true, "state": "open", "read": false, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "custom_attributes": {}, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "ai_agent": null, "ai_agent_participated": false, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 1 } }

Manage a conversation

Request

For managing conversations you can:

  • Close a conversation
  • Snooze a conversation to reopen on a future date
  • Open a conversation which is snoozed or closed
  • Assign a conversation to an admin and/or team.
Security
bearerAuth
Path
conversation_idstringrequired

The identifier for the conversation as given by Intercom.

Example: 123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default 2.11
Enum"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example: 2.11
Bodyapplication/json
One of:

Payload of the request to close a conversation

message_typestringrequired
Value"close"
Example: "close"
typestringrequired
Value"admin"
Example: "admin"
admin_idstringrequired

The id of the admin who is performing the action.

Example: "12345"
bodystring

Optionally you can leave a message in the conversation to provide additional context to the user and other teammates.

Example: " This conversation is now closed!"
curl -i -X POST \
  https://api.intercom.io/conversations/123/parts \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.11' \
  -d '{
    "message_type": "close",
    "type": "admin",
    "admin_id": 991267608,
    "body": "Goodbye :)"
  }'

Responses

Assign a conversation

Bodyapplication/json
typestring

Always conversation.

Value"conversation"
Example: "conversation"
idstringrequired

The id representing the conversation.

Example: "1295"
titlestring or nullrequired

The title given to the conversation.

Example: "Conversation Title"
created_atinteger(date-time)required

The time the conversation was created.

Example: 1663597223
updated_atinteger(date-time)required

The last time the conversation was updated.

Example: 1663597260
waiting_sinceinteger or null(date-time)required

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example: 1663597260
snoozed_untilinteger or null(date-time)required

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example: 1663597260
openbooleanrequired

Indicates whether a conversation is open (true) or closed (false).

Example: true
statestringrequired

Can be set to "open", "closed" or "snoozed".

Enum"open""closed""snoozed"
Example: "open"
readbooleanrequired

Indicates whether a conversation has been read.

Example: true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum"priority""not_priority"
Example: "priority"
admin_assignee_idinteger or nullrequired

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example: 0
team_assignee_idstring or nullrequired

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example: "5017691"
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

sourceobject(Conversation source)required

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

source.​typestringrequired

This includes conversation, email, facebook, instagram, phone_call, phone_switch, push, sms and whatsapp.

Enum"conversation""email""facebook""instagram""phone_call""phone_switch""push""sms""whatsapp"
Example: "conversation"
source.​idstringrequired

The id representing the message.

Example: "3"
source.​delivered_asstringrequired

The conversation's initiation type. Possible values are customer_initiated, campaigns_initiated (legacy campaigns), operator_initiated (Custom bot), automated (Series and other outbounds with dynamic audience message) and admin_initiated (fixed audience message, ticket initiated by an admin, group email).

Example: "operator_initiated"
source.​subjectstringrequired

Optional. The message subject.

Example: ""
source.​bodystring

The message body, which may contain HTML.

Example: "<p>Hey there!</p>"
source.​authorobject(Conversation part author)required

The object who initiated the conversation, which can be a Contact, Admin or Team. Bots and campaigns send messages on behalf of Admins or Teams.

source.​author.​typestringrequired

The type of the author

Example: "admin"
source.​author.​idstringrequired

The id of the author

Example: "274"
source.​author.​namestring or nullrequired

The name of the author

Example: "Operator"
source.​author.​emailstring(email)required

The email of the author

Example: "operator+abcd1234@intercom.io"
source.​attachmentsArray of objects(Part attachment)

A list of attachments for the part.

source.​urlstring or null

The URL where the conversation was started. For Email and Bots, this will be blank.

Example: null
source.​redactedbooleanrequired

Whether or not the source message has been redacted. Only applicable for contact initiated messages.

Example: false
contactsobject(Contacts)required

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

contacts.​typestringrequired
Value"contact.list"
Example: "contact.list"
contacts.​contactsArray of objects(Contact Reference)required

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

contacts.​contacts[].​typestringrequired

always contact

Value"contact"
Example: "contact"
contacts.​contacts[].​idstringrequired

The unique identifier for the contact which is given by Intercom.

Example: "5ba682d23d7cf92bef87bfd4"
contacts.​contacts[].​external_idstring or null

The unique identifier for the contact which is provided by the Client.

Example: "f3b87a2e09d514c6c2e79b9a"
teammatesobject(Conversation teammates)required

The list of teammates who participated in the conversation (wrote at least one conversation part).

teammates.​typestringrequired

The type of the object - admin.list.

Example: "admin.list"
teammates.​teammatesArray of objects(Reference)required

The list of teammates who participated in the conversation (wrote at least one conversation part).

teammates.​teammates[].​typestringrequired
Example: "contact"
teammates.​teammates[].​idstring or null
Example: "1a2b3c"
custom_attributesobject(Custom Attributes)required

An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models.

custom_attributes.​property name*string or Custom Object Instance (object)additional property
Any of:
string
first_contact_replyobject(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

ai_agent_participatedboolean

Indicates whether the AI Agent participated in the conversation.

Example: true
ai_agentobject(AI Agent)

Data related to AI Agent involvement in the conversation.

Response
application/json
{ "type": "conversation", "id": "394", "created_at": 1719492862, "updated_at": 1719492862, "waiting_since": null, "snoozed_until": null, "source": { "type": "conversation", "id": "403918276", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": null, "admin_assignee_id": null, "team_assignee_id": null, "open": false, "state": "closed", "read": false, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "custom_attributes": {}, "topics": {}, "ticket": null, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "ai_agent": null, "ai_agent_participated": false, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 1 } }

Data Attributes

Everything about your Data Attributes

SchemasOperations

Data Events

Everything about your Data Events

SchemasOperations

Data Export

Everything about your Data Exports

SchemasOperations

Help Center

Everything about your Help Center

SchemasOperations

Messages

Everything about your messages

SchemasOperations

News

Everything about your News

SchemasOperations

Notes

Everything about your Notes

SchemasOperations

Segments

Everything about your Segments

SchemasOperations

Subscription Types

Everything about subscription types

SchemasOperations

Switch

Everything about Switch

Operations

Tags

Everything about tags

SchemasOperations

Teams

Everything about your Teams

SchemasOperations

Ticket Type Attributes

Everything about your ticket type attributes

Operations

Ticket Types

Everything about your ticket types

Operations

Tickets

Everything about your tickets

SchemasOperations

Visitors

Everything about your Visitors

Operations

Models

Schemas